DS_SET_DATA_SCALING(3)

EXPERIMENTAL_FUNC
ds_set_data_scaling - Set the data scale and offset for a data element in a packet.

SYNOPSIS
#include <karma_ds.h>

flag ds_set_data_scaling

(CONST char *elem_name, packet_desc *pack_desc, char **packet, double scale, double offset)

DESCRIPTION
Set the data scale and offset for a data element in a packet.

elem_name
    The name of the element.

pack_desc
    The packet descriptor.

packet
    The packet.

scale
    The scale value. The name of the scale value is constructed by appending "__SCALE" to the element name. If appropriate, the FITS-style "BSCALE" keyword is written instead.

offset
    The offset value. The name of the offset value is constructed by appending "__OFFSET" to the element name. If appropriate, the FITS-style "BZERO" keyword is written instead.

RETURN VALUE
TRUE if the scale information is different from what was already attached to the array, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/